- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OptimizationSolutionSubstatus Class Reference

The OptimizationSolutionSubstatus Class. More...

`#include <OSResult.h>`

Collaboration diagram for OptimizationSolutionSubstatus:

[legend]
List of all members.

## Public Member Functions
| OptimizationSolutionSubstatus ()
| Default constructor.
| ~OptimizationSolutionSubstatus ()
| Class destructor.
bool | IsEqual (OptimizationSolutionSubstatus *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
| OptimizationSolutionSubstatus ()
| Default constructor.
| ~OptimizationSolutionSubstatus ()
| Class destructor.
## Public Attributes
std::string | type
| the type of the solution substatus
std::string | description
| a description of the solution substatus
std::string | namee
| the name of the solution substatus

## Detailed Description

The OptimizationSolutionSubstatus Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class for holding various attributes of a solution status

Definition at line 730 of file OSResult.h.

## Constructor & Destructor Documentation

OptimizationSolutionSubstatus::OptimizationSolutionSubstatus | ( |  | ) |

Default constructor.

Definition at line 340 of file OSResult.cpp.

OptimizationSolutionSubstatus::~OptimizationSolutionSubstatus | ( |  | ) |

Class destructor.

Definition at line 350 of file OSResult.cpp.

OptimizationSolutionSubstatus::OptimizationSolutionSubstatus | ( |  | ) |

Default constructor.

OptimizationSolutionSubstatus::~OptimizationSolutionSubstatus | ( |  | ) |

Class destructor.

## Member Function Documentation

bool OptimizationSolutionSubstatus::IsEqual | ( | OptimizationSolutionSubstatus * | that | ) |

A function to check for the equality of two objects.

Definition at line 6086 of file OSResult.cpp.

bool OptimizationSolutionSubstatus::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 7747 of file OSResult.cpp.

## Member Data Documentation

std::string OptimizationSolutionSubstatus::type

the type of the solution substatus

Definition at line 734 of file OSResult.h.

std::string OptimizationSolutionSubstatus::description

a description of the solution substatus

Definition at line 737 of file OSResult.h.

std::string OptimizationSolutionSubstatus::namee

the name of the solution substatus

Definition at line 351 of file OSResult.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp